x-pegasus:
  apiLang: python
  createdBy: yifan.wang
  createdOn: 11-17-21T02:13:54Z
pegasus: '5.0'
sites:
- name: local
  arch: x86_64
  os.type: linux
  directories:
  - type: sharedScratch
    path: /work/yifan.wang/4ogc/3ogc_events/3ogc_events_cal_output/local-site-scratch
    sharedFileSystem: false
    fileServers:
    - url: file:///work/yifan.wang/4ogc/3ogc_events/3ogc_events_cal_output/local-site-scratch
      operation: all
  profiles:
    condor:
      accounting_group: cbc.imp.4ogcpe
      getenv: 'True'
    pegasus:
      style: condor
- name: condorpool_symlink
  arch: x86_64
  os.type: linux
  directories: []
  profiles:
    condor:
      accounting_group: cbc.imp.4ogcpe
      +OpenScienceGrid: 'False'
      should_transfer_files: 'Yes'
      when_to_transfer_output: ON_EXIT_OR_EVICT
      getenv: 'True'
      +DESIRED_Sites: '"nogrid"'
      +IS_GLIDEIN: '"False"'
      +flock_local: 'True'
    pegasus:
      style: condor
      transfer.links: 'true'
      data.configuration: nonsharedfs
      transfer.bypass.input.staging: 'true'
      auxillary.local: 'true'
    dagman:
      retry: '2'
- name: condorpool_copy
  arch: x86_64
  os.type: linux
  directories: []
  profiles:
    condor:
      accounting_group: cbc.imp.4ogcpe
      +OpenScienceGrid: 'False'
      should_transfer_files: 'Yes'
      when_to_transfer_output: ON_EXIT_OR_EVICT
      getenv: 'True'
      +DESIRED_Sites: '"nogrid"'
      +IS_GLIDEIN: '"False"'
      +flock_local: 'True'
    pegasus:
      style: condor
      data.configuration: nonsharedfs
      transfer.bypass.input.staging: 'true'
      auxillary.local: 'true'
    dagman:
      retry: '2'
- name: condorpool_shared
  arch: x86_64
  os.type: linux
  directories:
  - type: sharedScratch
    path: /work/yifan.wang/4ogc/3ogc_events/3ogc_events_cal_output/cpool-site-scratch
    sharedFileSystem: false
    fileServers:
    - url: file:///work/yifan.wang/4ogc/3ogc_events/3ogc_events_cal_output/cpool-site-scratch
      operation: all
  profiles:
    condor:
      accounting_group: cbc.imp.4ogcpe
      +OpenScienceGrid: 'False'
      should_transfer_files: 'Yes'
      when_to_transfer_output: ON_EXIT_OR_EVICT
      getenv: 'True'
      +DESIRED_Sites: '"nogrid"'
      +IS_GLIDEIN: '"False"'
      +flock_local: 'True'
    pegasus:
      style: condor
      data.configuration: sharedfs
      transfer.bypass.input.staging: 'true'
      auxillary.local: 'true'
    dagman:
      retry: '2'
    env:
      PEGASUS_HOME: /software/tools/pegasus/5.0/
- name: osg
  arch: x86_64
  os.type: linux
  directories: []
  profiles:
    condor:
      accounting_group: cbc.imp.4ogcpe
      should_transfer_files: 'Yes'
      when_to_transfer_output: ON_EXIT_OR_EVICT
      +OpenScienceGrid: 'True'
      getenv: 'False'
      +InitializeModulesEnv: 'False'
      +SingularityCleanEnv: 'True'
      Requirements: (HAS_SINGULARITY =?= TRUE) && (HAS_LIGO_FRAMES =?= True) && (IS_GLIDEIN
        =?= True)
      +SingularityImage: '"/cvmfs/singularity.opensciencegrid.org/pycbc/pycbc-el7:v1.18.0"'
    pegasus:
      style: condor
      data.configuration: nonsharedfs
      transfer.bypass.input.staging: 'true'
    dagman:
      retry: '4'
    env:
      LAL_DATA_PATH: /cvmfs/oasis.opensciencegrid.org/ligo/sw/pycbc/lalsuite-extra/current/share/lalsimulation
